package com.tencent.mm.plugin.mmsight.ui;

import android.graphics.Rect;
import android.os.Bundle;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.api.c;
import com.tencent.mm.api.g;
import com.tencent.mm.api.s;
import com.tencent.mm.api.s$c;
import com.tencent.mm.api.s.a.a;
import com.tencent.mm.ui.MMActivity;

public class TestVideoEditUI extends MMActivity implements g {
    private s oDy;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(55296);
        super.onCreate(bundle);
        fullScreenNoTitleBar(true);
        FrameLayout frameLayout = (FrameLayout) findViewById(2131821019);
        this.oDy = s.ccQ.Ae();
        s sVar = this.oDy;
        a aVar = new a();
        aVar.ccS = false;
        aVar.ccU = true;
        aVar.ccV = new Rect(0, 0, 1080, 1080);
        aVar.ccR = s$c.VIDEO;
        sVar.a(aVar.AB());
        c aQ = this.oDy.aQ(this.mController.ylL);
        aQ.setActionBarCallback(this);
        frameLayout.addView(aQ, new LayoutParams(-1, -1));
        aQ.setSelectedFeatureListener(new 1(this));
        AppMethodBeat.o(55296);
    }

    public void onDestroy() {
        AppMethodBeat.i(55297);
        super.onDestroy();
        this.oDy.onDestroy();
        AppMethodBeat.o(55297);
    }

    public void onBackPressed() {
        AppMethodBeat.i(55298);
        if (!this.oDy.Ab()) {
            finish();
        }
        AppMethodBeat.o(55298);
    }

    public void onSwipeBack() {
        AppMethodBeat.i(55299);
        super.onSwipeBack();
        AppMethodBeat.o(55299);
    }

    public final int getLayoutId() {
        return 2130970923;
    }

    public final void onFinish() {
        AppMethodBeat.i(55300);
        this.oDy.a(new 2(this));
        AppMethodBeat.o(55300);
    }

    public final void onExit() {
        AppMethodBeat.i(55301);
        finish();
        AppMethodBeat.o(55301);
    }
}
